<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");
include ("../Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100215";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			/////Vigencia de Documento
			$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
			$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='../cssBtn/style_Btns.css'>"; ?>
<!-- <script language='javascript' src="popcalendar.js"></script> -->

<!-- Inicia Clases para Calendario -->
<link rel="stylesheet" href="//logsyswms.com/CalendarioWMS/CSS/jquery-ui.css">
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-1.10.2.js"></script>
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-ui.js"></script>

<script type="text/javascript">
jQuery(function($){
	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '&#x3c;Ant',
		nextText: 'Sig&#x3e;',
		currentText: 'Hoy',
		monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
		'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
		'Jul','Ago','Sep','Oct','Nov','Dic'],
		dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
		dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
		weekHeader: 'Sm',
		dateFormat: 'yy/mm/dd',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['es']);
});    

        $(document).ready(function() {
           $("#datepicker").datepicker();
        });
		
		$(document).ready(function() {
           $("#datepicker2").datepicker();
        });
</script>
<!-- Termina Clases para Calendario -->

<link rel="shortcut icon" href="../../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="../LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="../LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
///include ("../MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br>

<div align="center">
<?PHP
			
///Arrastrando Variables de Operación
$NoDocSuEn=$_POST['ItemDocSurKP'] or $NoDocSuEn=$_GET['ItemDocSurKP'];
$CveCueCR1=$_POST['ItemCtaKP'] or $CveCueCR1=$_GET['ItemCtaKP'];
			
$NoDocCompleEn = $NoDocSuEn;			
						
///(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)///	
///							INICIA PROCESO ESPECIAL ARCOSA - COMUNICACION VIA INTERFAZ
///------------------------------------------------------------------------------------------------------------------

///Consultar datos de Documento de Recibo
$sql_DDRIA = mysql_query("select NO_DOCUMENTO,REFERENCIA_1,REFERENCIA_2,TIPO_ALMACEN,PEDIMENTO,CARTA_CUPO,CODIGO_RD,ESTADO_DOCUMENTO,TIPODEINGRESO,PROVEEDOR,VIGENCIA,TEMP_VEHICULO,TEMP_PRODUCTO,CONVENIO,VALOR_MERCANCIA,LUGAR_INGRESO,NO_MARCHAMO,OBSERVACIONES from tabla_documentos where NO_DOCUMENTO='$NoDocCompleEn' AND CVE_CUENTA='$CveCueCR1' Order By ID DESC Limit 0,1");
if (mysql_numrows($sql_DDRIA)==0) echo "";
else{
$registro_DDRIA=mysql_fetch_array($sql_DDRIA);
}
if (mysql_numrows($sql_DDRIA)>0)
{
$NoDocu_DDRIA=$registro_DDRIA["NO_DOCUMENTO"];
$Refer1_DDRIA=$registro_DDRIA["REFERENCIA_1"];
$Refer2_DDRIA=$registro_DDRIA["REFERENCIA_2"];
$TipAlm_DDRIA=$registro_DDRIA["TIPO_ALMACEN"];
$Pedime_DDRIA=$registro_DDRIA["PEDIMENTO"];
$CtaCpo_DDRIA=$registro_DDRIA["CARTA_CUPO"];
$CodiRD_DDRIA=$registro_DDRIA["CODIGO_RD"];
$EdoDoc_DDRIA=$registro_DDRIA["ESTADO_DOCUMENTO"];
$TipIng_DDRIA=$registro_DDRIA["TIPODEINGRESO"];
$CvePro_DDRIA=$registro_DDRIA["PROVEEDOR"];
$Vigenc_DDRIA=$registro_DDRIA["VIGENCIA"];
$Observ_DDRIA=$registro_DDRIA["OBSERVACIONES"];
$TempVe_DDRIA=$registro_DDRIA["TEMP_VEHICULO"];
$TempPr_DDRIA=$registro_DDRIA["TEMP_PRODUCTO"];
$Conven_DDRIA=$registro_DDRIA["CONVENIO"];
$ValMer_DDRIA=$registro_DDRIA["VALOR_MERCANCIA"];
$LugIng_DDRIA=$registro_DDRIA["LUGAR_INGRESO"];
$NoMarc_DDRIA=$registro_DDRIA["NO_MARCHAMO"];
}
			
///Consultar El total de Pallets generados por el Recibo
$NoTarimas = "";		
$sql_wnt=mysql_query("SELECT Distinct SKU,LOTE,LOTEPRODU FROM tabla_recibo WHERE NO_DOC_COMPLE='$NoDocCompleEn' AND CVE_CUENTA='$CveCueCR1'");
while($res_wnt=mysql_fetch_array($sql_wnt))
{///Inicia While # Tarimas 01
$CodSku_wnt = $res_wnt['SKU'];
$VarLot_wnt = $res_wnt['LOTE'];
$LotPro_wnt = $res_wnt['LOTEPRODU'];

	
	///Detectar los pallets por contenedor	
	$sql_PPC = mysql_query("SELECT PALLETSXCONTENEDOR FROM tabla_altaproducto WHERE SKU='$CodSku_wnt' AND CUENTA='$CveCueCR1'");
	if (mysql_numrows($sql_PPC)==0) echo "";
	else{
		$registro_PPC=mysql_fetch_array($sql_PPC);
	}
	if (mysql_numrows($sql_PPC)>0)
	{
		$PalxCon_PPC=$registro_PPC["PALLETSXCONTENEDOR"];
	}
	
	////Identificar el total de piezas Recibidas por SKU-LOTE-LOTEPRODU
		$sqlSUMA = "SELECT SUM(CANT_RECIBIDA) as ObtCant FROM tabla_recibo WHERE NO_DOC_COMPLE='$NoDocCompleEn' AND SKU='$CodSku_wnt' AND CVE_CUENTA='$CveCueCR1' AND LOTE='$VarLot_wnt' AND LOTEPRODU='$LotPro_wnt'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotPiRec =  $PrePiezas ['ObtCant'];

	
	///Operacion Aritmetica
		$NoTarxCod = $TotPiRec/$PalxCon_PPC;
		$NoTarxCodFin =  ceil($NoTarxCod);
	
	///Contador de Tarminas
		$NoTarimas = $NoTarimas + $NoTarxCodFin;
	
	
	///Limpiando Variables
	$CodSku_wnt = "";
	$VarLot_wnt = "";
	$LotPro_wnt = "";
	$PalxCon_PPC = "";
	$TotPiRec = "";
	$NoTarxCod = "";
	$NoTarxCodFin = "";

}///Termina While # Tarimas 01			

	///Fecha y Hora
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$Fecha=date("Y/m/d");
			
	///Configuramos conexión a BD Interfaces
	$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
	mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);	
	
	$sql_IEDL2 = mysql_query("select No_Documento from interfaz_recibo_documentos where No_Documento='$NoDocSuEn' AND Cve_Cuenta='$CveCueCR1'");
	if (mysql_numrows($sql_IEDL2)==0) 
	{///Inicia IF - Aprobación de Escritura en Cabecera
					
	///Guarda el Documento de Recibo en la Interfaz			
	$sqlGR_BDGIA = "insert into interfaz_recibo_documentos (Cve_Bodega,Cve_Cuenta,No_Documento,No_Complemento,Referencia1,Referencia2,TipoAlmacen,Pedimento,CartaCupo,CodigoRD,EstadoDeDocumento,TipoIngreso,Proveedor,Vigencia,Observaciones,Tarimas,Temp_Vehiculo,Temp_Producto,Convenio,Valor_Mercancia,Lugar_Ingreso,No_Marchamo,FechaRegistro,HoraRegistro,UsuarioRegistro,Check_Int)
	values('$CveBodCR1','$CveCueCR1','$NoDocu_DDRIA','$NoDocCompleEn','$Refer1_DDRIA','$Refer2_DDRIA','$TipAlm_DDRIA','$Pedime_DDRIA','$CtaCpo_DDRIA','$CodiRD_DDRIA','$EdoDoc_DDRIA','$TipIng_DDRIA','$CvePro_DDRIA','$Vigenc_DDRIA','$Observ_DDRIA','$NoTarimas','$TempVe_DDRIA','$TempPr_DDRIA','$Conven_DDRIA','$ValMer_DDRIA','$LugIng_DDRIA','$NoMarc_DDRIA','$Fecha','$HoraOK','$UsuEn','0')";
								
	$resultado_BDGIA=mysql_query($sqlGR_BDGIA,$con_BDGIA) or die(mysql_error());
		
	}///Termina IF - Aprobación de Escritura en Cabecera
		
	///Configuramos conexión a BD WMS
	$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
	///mysql_select_db("wms_arcosa", $con_WMS);
	mysql_select_db("wms_arcosa_tepo1", $con_WMS);	

	///Generamos Barrido de todo el Recibo dentro del WMS para posteriormente mandarlo a la Interfaz
	$sql_W02 = "select CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,PIEZAS,PALLET from tabla_kardex where NO_DOCUMENTO='$NoDocCompleEn' AND CVE_CUENTA='$CveCueCR1' AND MOVIMIENTO='RECIBO' Order By ID";
    	$res_W02=mysql_query($sql_W02) or die('Error en la consulta: '.mysql_error());
    	While($row_W02 = mysql_fetch_array($res_W02,MYSQL_ASSOC))
	   { ///Inicia el While 02
	        $CveBod_W02=$row_W02["CVE_BODEGA"];
			$CveCta_W02=$row_W02["CVE_CUENTA"];
			$NoDocu_W02=$row_W02["NO_DOCUMENTO"];
			$CodSku_W02=$row_W02["SKU"];
			$CRecib_W02=$row_W02["PIEZAS"];
			$CKPall_W02=$row_W02["PALLET"];
		
		
			///Identificar datos Extras del Recibo por medio del Inventario
			$sql_DER = mysql_query("select ID,DESCRIPCION,FACTURA,LOTE,LOTEPRODU,CADUCIDAD,PIEZASXCAJA,CAJASXPALLET,CANTIDAD_AUXILIAR,CANTIDAD_BRUTO from tabla_inventario where NO_DOCUMENTO='$NoDocu_W02' AND SKU='$CodSku_W02' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$CKPall_W02'");
			if (mysql_numrows($sql_DER)==0) echo "";
			else{
				$registro_DER=mysql_fetch_array($sql_DER);
			}
			if (mysql_numrows($sql_DER)>0)
			{
				$IdBaDa_DER=$registro_DER["ID"];
				$Descri_DER=$registro_DER["DESCRIPCION"];
				$NoFact_DER=$registro_DER["FACTURA"];
				$NoLote_DER=$registro_DER["LOTE"];
				$LorPro_DER=$registro_DER["LOTEPRODU"];
				$Caduci_DER=$registro_DER["CADUCIDAD"];
				$PXCaja_DER=$registro_DER["PIEZASXCAJA"];
				$CXPale_DER=$registro_DER["CAJASXPALLET"];
				$CAuxil_DER=$registro_DER["CANTIDAD_AUXILIAR"];
				$CBruto_DER=$registro_DER["CANTIDAD_BRUTO"];
			}

		
			///Detectar Información del Codigo
				$sql_DIC = mysql_query("SELECT EMBALAJE FROM tabla_altaproducto WHERE SKU='$CodSku_W02' AND CUENTA='$CveCueCR1'");
				if (mysql_numrows($sql_DIC)==0) echo "";
				else{
					$registro_DIC=mysql_fetch_array($sql_DIC);
				}
				if (mysql_numrows($sql_DIC)>0)
				{
					$Embala_DIC=$registro_DIC["EMBALAJE"];
				}
			
			
			///Fecha y Hora
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");		
		
			///Configuramos conexión a BD Interfaces
			$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
			mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);
		
		
			///Identificar si la Linea ya Fue informada --> NUEVO PROCESO
			$sql_IEDL ="select No_Documento from interfaz_recibo_detalle where No_Documento='$NoDocSuEn' AND Cve_Cuenta='$CveCta_W02' AND IdClaveRastreo='$IdBaDa_DER'";
			$resultado_IEDL=mysql_query($sql_IEDL,$con_BDGIA) or die(mysql_error());
			if (mysql_numrows($sql_IEDL)==0) 
			{///Inicia IF - Aprobación de Escritura en Linea
					
			///Guarda el Documento de Recibo en la Interfaz			
			$sqlGR_BDGIA = "insert into interfaz_recibo_detalle (Cve_Bodega,Cve_Cuenta,No_Documento,Sku,Descripcion,NoFactura,CantidadRecibida,CantidadAuxiliar,CantidadAuxiliarBruta,Lote,LoteProduccion,Caducidad,PiezasXCaja,CajasXPallet,Embalaje,IdClaveRastreo,FechaRegistro,HoraRegistro,UsuarioRegistro,Check_Int)
			values('$CveBod_W02','$CveCta_W02','$NoDocu_W02','$CodSku_W02','$Descri_DER','$NoFact_DER','$CRecib_W02','$CAuxil_DER','$CBruto_DER','$NoLote_DER','$LorPro_DER','$Caduci_DER','$PXCaja_DER','$CXPale_DER','$Embala_DIC','$IdBaDa_DER','$Fecha','$HoraOK','$UsuEn','0')";				
			$resultado_BDGIA=mysql_query($sqlGR_BDGIA,$con_BDGIA) or die(mysql_error());
				
			}///Termina IF - Aprobación de Escritura en Linea
		
			///Configuramos conexión a BD WMS
			$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
			///mysql_select_db("wms_arcosa", $con_WMS);
			mysql_select_db("wms_arcosa_tepo1", $con_WMS);
		
			///Limpiando Variables de Comunicación
				$CveBod_W02 = "";
				$CveCta_W02 = "";
				$NoDocu_W02 = "";
				$CodSku_W02 = "";
				$CRecib_W02 = "";
				$CKPall_W02 = "";
				$IdBaDa_DER = "";
				$Descri_DER = "";
				$NoFact_DER = "";
				$NoLote_DER = "";
				$LorPro_DER = "";
				$Caduci_DER = "";
				$PXCaja_DER = "";
				$CXPale_DER = "";
				$CAuxil_DER = "";
				$CBruto_DER = "";
	
	   } ///Termina el While 02
///------------------------------------------------------------------------------------------------------------------					
///							TERMINA PROCESO ESPECIAL ARCOSA - COMUNICACION VIA INTERFAZ
///(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)///	
						
echo "<script>alert('Documento Reinterfazado Correctamente.');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=6-Recibos_Interfazados.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
?>
</div>
<Br><Br><Br>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP


} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>